Bug 1750782 - Update compat-openssl10 to OpenSSL 1.0.2r
Summary: Update compat-openssl10 to OpenSSL 1.0.2r
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: compat-openssl10
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1645698 1683808
TreeView+ depends on / blocked
 
Reported: 2019-09-10 13:17 UTC by Miro Hrončok
Modified: 2019-09-26 01:41 UTC (History)
2 users (show)

Fixed In Version: compat-openssl10-1.0.2o-8.fc31 compat-openssl10-1.0.2o-7.fc30 compat-openssl10-1.0.2o-7.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-21 00:01:28 UTC


Attachments (Terms of Use)

Description Miro Hrončok 2019-09-10 13:17:18 UTC
Could you please update the compat-openssl10 package to OpenSSL 1.0.2r?

See https://www.openssl.org/news/openssl-1.0.2-notes.html

Thanks.

Comment 1 Gwyn Ciesla 2019-09-10 15:54:37 UTC
Working on it. There are changes to the massive pile of patches we carry.

Comment 2 Gwyn Ciesla 2019-09-10 15:55:10 UTC
Also updating to t instead of are as there are more CVE fixes.

Comment 3 Miro Hrončok 2019-09-10 17:32:43 UTC
Oh, didn't know there is t.

Thanks.

Comment 4 Gwyn Ciesla 2019-09-10 18:45:05 UTC
Yow. FYI, just backporting the applicable patches to o, since that brings less risk of breaking the other patches.

Comment 5 Fedora Update System 2019-09-10 19:48:14 UTC
FEDORA-2019-db06efdea1 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-db06efdea1

Comment 6 Fedora Update System 2019-09-10 19:48:21 UTC
FEDORA-2019-9a0a7c0986 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-9a0a7c0986

Comment 7 Fedora Update System 2019-09-11 02:59:41 UTC
compat-openssl10-1.0.2o-7.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-00c25b9379

Comment 8 Fedora Update System 2019-09-11 04:17:33 UTC
compat-openssl10-1.0.2o-7.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-9a0a7c0986

Comment 9 Fedora Update System 2019-09-11 15:37:12 UTC
compat-openssl10-1.0.2o-8.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-db06efdea1

Comment 10 Fedora Update System 2019-09-21 00:01:28 UTC
compat-openssl10-1.0.2o-8.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2019-09-25 01:07:11 UTC
compat-openssl10-1.0.2o-7.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2019-09-26 01:41:20 UTC
compat-openssl10-1.0.2o-7.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.